/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BCKGRND                         1

#define  INIT                            2
#define  INIT_CONTINUE                   2       /* callback function: initInstrument */
#define  INIT_QUIT                       3       /* callback function: launchClose */
#define  INIT_ADDRESS                    4       /* callback function: controlHelp */
#define  INIT_ID                         5       /* callback function: controlHelp */
#define  INIT_RST                        6       /* callback function: controlHelp */

#define  MEAS                            3
#define  MEAS_NEWMEAS                    2       /* callback function: newMeasurement */
#define  MEAS_QUIT                       3       /* callback function: launchClose */
#define  MEAS_TIMEBASE                   4       /* callback function: controlHelp */
#define  MEAS_VOLTRANGE                  5       /* callback function: controlHelp */
#define  MEAS_COUPLING                   6       /* callback function: controlHelp */
#define  MEAS_OUTPUT                     7       /* callback function: controlHelp */


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK initInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchClose(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK newMeasurement(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
